Bug 1976302 - Requirements for nvidia GPU driver container for driver toolkit
Summary: Requirements for nvidia GPU driver container for driver toolkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Special Resource Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.7.z
Assignee: Zvonko Kosic
QA Contact: Lena Horsley
URL:
Whiteboard:
Depends On: 1974447
Blocks: 1978008
TreeView+ depends on / blocked
 
Reported: 2021-06-25 17:47 UTC by OpenShift BugZilla Robot
Modified: 2021-07-26 17:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-26 17:35:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift driver-toolkit pull 41 0 None open [release-4.7] [release 4.8] Bug 1976302: Cherry pick gcc to release 4.8 2021-06-25 18:26:08 UTC
Red Hat Product Errata RHBA-2021:2762 0 None None None 2021-07-26 17:35:45 UTC

Comment 3 Lena Horsley 2021-07-06 18:40:11 UTC
Verified in build: 4.7.0-0.nightly-2021-07-06-050841

1. Go to the OpenShift release nightly build page for the nightly build, click "Download the installer," and then click "release.txt."


2. Search for "driver-toolkit" and pull the corresponding image to your dev machine with the command:
podman pull --authfile /path/to/pullsecret <openshift_release_repo>/<corresponding_image_to_your_dev_machine>


3. Enter the following command from the terminal:
podman run <image_from_previous_step> dnf list installed | grep <string>


=====================================
Output from the command in step #3:

>>> gcc
gcc.x86_64                                    8.4.1-1.el8                          @rhel-8-appstream-rpms-x86_64
libgcc.x86_64                                 8.4.1-1.el8                          @rhel-8-baseos-rpms-x86_64

Comment 5 Siddharth Sharma 2021-07-09 21:07:56 UTC
OCP engineering has decided to not ship 4.7.20 due to a blocker. This bug will be shipped as part of next z-stream release 4.7.21 planned on July 27th

Comment 8 errata-xmlrpc 2021-07-26 17:35:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.21 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2762


Note You need to log in before you can comment on or make changes to this bug.